# Uses of Class
javafx.scene.control.TablePosition

Packages that use TablePosition
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of TablePosition in javafx.scene.control

Methods in javafx.scene.control that return TablePosition
Modifier and Type
Method
Description
`final TablePosition<S,?>`
TableView.`getEditingCell()`
Gets the value of the `editingCell` property.
`final TablePosition`
TableView.TableViewFocusModel.`getFocusedCell()`
Gets the value of the `focusedCell` property.
`TablePosition<S,T>`
TableColumn.CellEditEvent.`getTablePosition()`
Returns the position upon which this event occurred.
Methods in javafx.scene.control that return types with arguments of type TablePosition
Modifier and Type
Method
Description
`final ReadOnlyObjectProperty<TablePosition<S,?>>`
TableView.`editingCellProperty()`
Represents the current cell being edited, or null if there is no cell being edited.
`final ReadOnlyObjectProperty<TablePosition>`
TableView.TableViewFocusModel.`focusedCellProperty()`
The position of the current item in the TableView which has the focus.
`abstract ObservableList<TablePosition>`
TableView.TableViewSelectionModel.`getSelectedCells()`
A read-only ObservableList representing the currently selected cells in this TableView.
Methods in javafx.scene.control with parameters of type TablePosition
Modifier and Type
Method
Description
`void`
TableView.TableViewFocusModel.`focus(TablePosition pos)`
Convenience method for setting focus on a particular row or cell using a `TablePosition`.
Constructors in javafx.scene.control with parameters of type TablePosition
Modifier
Constructor
Description
``
`CellEditEvent(TableView<S> table, TablePosition<S,T> pos, EventType<TableColumn.CellEditEvent<S,T>> eventType, T newValue)`
Creates a new event that can be subsequently fired to the relevant listeners.